Bug 877694 - Review Request: hidapi - Library for communicating with USB and Bluetooth HID devices
Review Request: hidapi - Library for communicating with USB and Bluetooth HID...
Status: CLOSED DUPLICATE of bug 1008772
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-17 18:12 EST by Ozan Çağlayan
Modified: 2013-10-24 22:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 01:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ozan Çağlayan 2012-11-17 18:12:19 EST
Spec URL: http://ozancaglayan.com/fedora/SPECS/hidapi.spec
SRPM URL: http://ozancaglayan.com/fedora/SRPMS/hidapi-0.7.0-0.20120921git85d608e.fc17.src.rpm

Description: 
HIDAPI is a multi-platform library which allows an application to interface with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD and Mac OS X.
On Linux, either the hidraw or the libusb back-end can be used. There are trade-offs and the functionality supported is slightly different.

Fedora Account System Username: ozancaglayan

Koji build task:
  (f17) http://koji.fedoraproject.org/koji/taskinfo?taskID=4699283
  (f16) http://koji.fedoraproject.org/koji/taskinfo?taskID=4699292

--

This is my first package, so I need a sponsor.
Comment 1 Michael Schwendt 2013-01-19 16:12:16 EST
There are a couple of minor mistakes in the spec file:

> Version:        0.7.0
> Release:        0.20120921git85d608e%{?dist}

According to  https://github.com/signal11/hidapi/downloads  there is a 0.7.0 release, "uploaded a year ago". So, your snapshot can should apply the post-release versioning scheme, where the "Release" tag typically starts with "1" not "0":

  Release:        1.20120921git85d608e%{?dist}

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

For Fedora packages, the "0." release prefix is special and used for pre-release packages only.


> # The source was created from GIT repository
> Source0:        http://www.ozancaglayan.com/fedora/SOURCES/%{name}-
> %{version}.20120921git85d608e.tar.bz2

https://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control
|
| There are several cases where upstream is not providing the source
| to you in an upstream tarball. In these cases you must document how
| to generate the tarball used in the rpm either through a spec file
| comment or a script included as a separate SourceX:. 


> Summary:        A library for communicating with USB and Bluetooth HID devices

In package tools like GNOME PackageKit or installers like Anaconda these leading articles reduce readability. Omitting them makes summaries even more concise. Imagine dozens/hundreds of package summaries starting with "A", "An, "The". This is superfluous.


> %package -n hidapi-devel
> Summary: Development files for hidapi

Surprise! :-)  Here you didn't write "The development files for hdiapi" either. Good!


> %package -n hidapi-devel
> Requires: hidapi = %{version}-%{release}

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> Requires: pkgconfig

Nowadays there are automatic Provides/Requires for pkg-config file details.


> %install
> rm -rf $RPM_BUILD_ROOT

https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag


* Would it make sense to generate and package the API documentation using Doxygen?


>  CC       hid.lo
>  CCLD     libhidapi-hidraw.la

Could you enable verbose build output by passing V=1 to "make"? That makes the build log more useful as one could see the preprocessor/compiler/linker flags, for example.
Comment 2 Ian Weller 2013-01-29 22:57:53 EST
Hi Ozan,

Are you still interested in packaging hidapi? I need this for another package I'm working on getting into Fedora.

If not, let me know and I'll work on this.

Thanks!
Comment 3 Ian Weller 2013-01-31 15:27:53 EST
This review is stalled on the submitter in accordance with the stalled package review policy:

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Submitter, please respond within one week or this review will be closed in order to allow another submitter.
Comment 4 Ozan Çağlayan 2013-02-04 13:47:26 EST
Hi,

Very sorry for being unresponsive for a while. You can take over the review as I am very busy these days.

Thanks
Comment 5 Scott Talbert 2013-05-11 10:32:49 EDT
Ian,

Did you ever try to package this?  I looked but I didn't see anything in Bugzilla.
Comment 6 Ian Weller 2013-05-12 01:25:16 EDT
(In reply to comment #5)
> Did you ever try to package this?  I looked but I didn't see anything in
> Bugzilla.

Nope! Feel free.

I'm closing this NOTABUG as is policy for maintainers who wish to give up their reviews. Forgot to do that to begin with.
Comment 7 Christopher Meng 2013-10-24 22:41:49 EDT

*** This bug has been marked as a duplicate of bug 1008772 ***

Note You need to log in before you can comment on or make changes to this bug.